/*
 * Copyright (c) 2002 IBM Corp.  All rights reserved.
 * This file is made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package com.example.autorefresh;

import org.eclipse.core.resources.IResource;

/**
 * An <code>IMonitor</code> monitors an <code>IResource</code>.
 * <p>
 * When a <code>IMonitor</code> notices changes, it should report them 
 * to the <code>AutoRefreshPlugin</code> using the 
 * <code>IRefreshRequest</code> interface.
 * <p>
 * WARNING:  This is experimental API.  It is likely to change in future releases.
 */
public interface IMonitor {
	/**
	 * Informs the monitor that it should stop monitoring the
	 * given resource.
	 * 
	 * @param resource	The resource that should no longer be monitored, or
	 * <code>null</code> if this monitor should stop monitoring all containers
	 * it is currently monitoring.
	 */
	void unmonitor(IResource resource);
}
