/*
 * Copyright (c) 2002 IBM Corp.  All rights reserved.
 * This file is made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package com.example.autorefresh.linux;

/**
 * Object generated by the Linux Natives for returning information
 * about filesystem events to a  Monitor object
 */
public class MonitorEvent {
	
	public static final int EVENT_TYPE_CHANGED = 0;
	public static final int EVENT_TYPE_CREATED = 1;
	public static final int EVENT_TYPE_DELETED = 2;
	public static final int EVENT_TYPE_SHUTDOWN = 3;

	private String filename;
	private int eventType;

	
	public MonitorEvent (String filename, int eventType) {
		setFilename(filename);
		setEventType(eventType);	
	}

	public void setFilename(String filename) {
		this.filename= filename;
	}

	public String getFilename() {
		return filename;
	}

	public void setEventType(int eventType) {
		this.eventType= eventType;
	}

	public int getEventType() {
		return eventType;
	}
	

}
