/*
 * Copyright (c) 2002 IBM Corp.  All rights reserved.
 * This file is made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 */
package com.example.autorefresh.linux;

import com.example.autorefresh.AutoRefreshPlugin;
import com.example.autorefresh.SimpleRefreshRequest;

/**
 * 
 */
public class MonitorListener implements IMonitorListener {

	/*
	 * @see com.example.autorefresh.linux.IMonitorListener#fileCreated(String)
	 */
	public void fileCreated(String path) {
		AutoRefreshPlugin.getDefault().refresh(SimpleRefreshRequest.createRequest(path, SimpleRefreshRequest.ADD), null);
	}

	/*
	 * @see com.example.autorefresh.linux.IMonitorListener#fileDeleted(String)
	 */
	public void fileDeleted(String path) {
		AutoRefreshPlugin.getDefault().refresh(SimpleRefreshRequest.createRequest(path, SimpleRefreshRequest.DELETE), null);
	}

	/*
	 * @see com.example.autorefresh.linux.IMonitorListener#fileChanged(String)
	 */
	public void fileChanged(String path) {
		AutoRefreshPlugin.getDefault().refresh(SimpleRefreshRequest.createRequest(path, SimpleRefreshRequest.CHANGE), null);
	}
	
	/*
	 * @see com.example.autorefresh.linux.IMonistorLisetner#directoryCreated(String)
	 */
	 public void directoryCreated(String path) {
		AutoRefreshPlugin.getDefault().refresh(SimpleRefreshRequest.createRequest(path, SimpleRefreshRequest.DEPTH_INFINITE), null);
	 }

}
