package com.example.autorefresh.win32.internal;

import com.example.autorefresh.AutoRefreshPlugin;
import com.example.autorefresh.IRefreshRequest;
import com.example.autorefresh.SimpleRefreshRequest;

/**
 * The <code>MonitorListener</code> listens for callbacks from the
 * Win32 monitors and makes refresh requests to the 
 * <code>AutoRefreshPlugin</code>.
 */
public class MonitorListener implements IMonitorListener {

	/*
	 * @see com.oti.autorefresher.IMonitorListener#refresh(String, int)
	 */
	public void refresh(String path, int depth) {
		IRefreshRequest request= null;
		switch (depth) {
			case DEPTH_ZERO:
				request= SimpleRefreshRequest.createRequest(path, SimpleRefreshRequest.DEPTH_ZERO);
				break;
			case DEPTH_ONE:
				request= SimpleRefreshRequest.createRequest(path, SimpleRefreshRequest.DEPTH_ONE);
				break;
			case DEPTH_INFINITE:
				request= SimpleRefreshRequest.createRequest(path, SimpleRefreshRequest.DEPTH_INFINITE);
				break;
			default:
				AutoRefreshPlugin.log(null, "Depth level " + depth + " not implemented.");
		}
		if (request != null) {
			AutoRefreshPlugin.getDefault().refresh(request, null);			
		}
	}
	
	/*
	 * @see com.oti.autorefresher.IMonitorListener#logError(Throwable, String)
	 */
	public void logError(Throwable throwable, String message) {
		AutoRefreshPlugin.log(throwable, message);
	}

}
